XMLEncoderFactory (Axis API)
Keywords: org.apache.axis.components.encoding.XMLEncoderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.encoding
Class XMLEncoderFactory

    java.lang.Object
      org.apache.axis.components.encoding.XMLEncoderFactory

public class XMLEncoderFactory
extends java.lang.Object

Factory for XMLEncoder

Author:
  Jens Schumann, Davanum Srinivas

Field Summary
`static java.lang.String` | `DEFAULT_ENCODING`
`static java.lang.String` | `ENCODING_UTF_16`
`static java.lang.String` | `ENCODING_UTF_8`
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`XMLEncoderFactory()`

Method Summary
`static XMLEncoder` | `getDefaultEncoder()` Returns the default encoder
`static XMLEncoder` | `getEncoder(java.lang.String encoding)` Returns the requested encoder

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### ENCODING_UTF_8

    public static final java.lang.String ENCODING_UTF_8

See Also:
  Constant Field Values

### ENCODING_UTF_16

    public static final java.lang.String ENCODING_UTF_16

See Also:
  Constant Field Values

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### XMLEncoderFactory

    public XMLEncoderFactory()

Method Detail

### getDefaultEncoder

    public static XMLEncoder getDefaultEncoder()

  Returns the default encoder

  Returns:

### getEncoder

    public static XMLEncoder getEncoder(java.lang.String encoding)
                                 throws java.io.UnsupportedEncodingException

  Returns the requested encoder

  Parameters:
    `encoding` -
  Returns:
  Throws:
    `java.io.UnsupportedEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.